﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using IGDocumentation;
using Infragistics.Controls.Menus;

namespace XamTreeSampleApplication
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();

            MyTree.ItemsSource = DataUtil.CategoriesAndProducts;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MyTree.ItemsSource = DataUtil.CategoriesAndProducts;
            Product SelectedCabinetItem = (Product)MyTree.ActiveNode.Data;

            ObservableCollection<Product> products = new ObservableCollection<Product>();
            products.Add(new Product() { ProductName = "product1" });
            products.Add(new Product() { ProductName = "product2" });

            SelectedCabinetItem.Products = products;
        }
    }
}
